import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity('chapter')
export class Chapter {
  @PrimaryGeneratedColumn('uuid')
  chapter_id?: string;

  @Column({ type: 'text' })
  chapter_title?: string;

  @Column()
  chapter_level?: '1' | '2';

  @Column({ default: '' })
  chapter_file_id?: string;

  @Column()
  chapter_course_id?: string;

  @Column({ default: -1 })
  order?: number;

  @Column({ default: '' })
  media_time?: string;

  @Column({ default: '' })
  media_url?: string;

  @Column({ default: '' })
  media_cover_url?: string;
}
