import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity('user')
export class User {
  @PrimaryGeneratedColumn('increment')
  id?: number;

  @Column({ unique: true })
  user_login?: string;

  @Column({ default: '' })
  user_email?: string;

  @Column({ default: Date.now() })
  user_create_time?: string;

  @Column({ default: true })
  user_status?: boolean;

  @Column()
  display_name?: string;

  @Column({ default: '' })
  user_avatar?: string;

  @Column({ default: false })
  user_sub?: boolean;

  @Column()
  user_sub_expired?: string;
}
