export interface IgetVodRequest {
  offset: number;
  limit: number;
}

export interface IGetVodeResponse {
  MediaInfoSet: any[];
  TotalCount: number;
}

export interface ICourseBasic {
  course_id?: string;
  course_title?: string;
  course_cover_url?: string;
  course_summary?: string;
  course_createtime?: string;
  valid?: boolean;
}

export interface ICreateCourseRequest extends ICourseBasic {
  course_chapterList: [];
  course_guide: {};
}

export interface IAdminLogin {
  username: string;
  password: string;
}

export interface IXcode {
  expiretime: string;
  code: string;
}

export interface ISelectCourse {
  all?: boolean;
}

export interface IChapter {
  chapter_course_id?: string;
  chapter_file_id?: string;
  chapter_id?: string;
  chapter_level?: string;
  chapter_title?: string;
  media_cover_url?: string;
  media_time?: string;
  media_url?: string;
  order?: number;
}
