import { Rule, RuleType } from '@midwayjs/validate';

export class SmsDTO {
  @Rule(
    RuleType.string().required().length(11).error(new Error('手机号格式错误'))
  )
  phoneNumber?: string;
  @Rule(RuleType.string().required())
  sign?: string;
}
