import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('course')
export class Course {
  @PrimaryColumn()
  course_id?: string;

  @Column({ type: 'varchar' })
  course_title?: string;

  @Column({ type: 'text' })
  course_summary?: string;

  @Column()
  course_cover_url?: string;

  @Column({ default: 1 })
  valid?: boolean;

  @Column({ default: Date.now() })
  course_createtime?: string;
}
