import Cookie from "js-cookie";

export const withLoginCookies = () => {
  return Cookie.get("_sign_web") && Cookie.get("_sign_web.sig");
};

export const removeLoginCookies = () => {
  Cookie.remove("_sign_web");
  Cookie.remove("_sign_web.sig");
};
