import { useState } from "react";
import Card from "../Card";
import "./index.less";

export const recommendListDefault = [
  {
    imgUrl:
      "https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/a8c8cdb109cb051163646151a4a5083b.png~tplv-uwbnlip3yd-webp.webp",
    title: "这个非常OK啊",
    meta: {
      desc: "推荐内容推荐内容推荐内容推荐内容推荐内容推荐内容推荐内容",
      action: "Learn",
    },
  },
  {
    imgUrl:
      "https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/e278888093bef8910e829486fb45dd69.png~tplv-uwbnlip3yd-webp.webp",
    title: "这个非常OK啊",
    meta: {
      desc: "推荐内容推荐内容推荐内容推荐内容推荐内容推荐内容推荐内容",
      action: "Learn",
    },
  },
  {
    imgUrl:
      "https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/a8c8cdb109cb051163646151a4a5083b.png~tplv-uwbnlip3yd-webp.webp",
    title: "这个非常OK啊",
    meta: {
      desc: "推荐内容推荐内容推荐内容推荐内容推荐内容推荐内容推荐内容",
      action: "Learn",
    },
  },
];

function Recommends() {
  const [recommendList, setRecommendList] = useState(recommendListDefault);

  return (
    <div className="recommends">
      {recommendList.map((item, index) => (
        <Card {...item} key={index} />
      ))}
    </div>
  );
}

export default Recommends;
